- Qt 5.15
- Qt 3D
- QML Types
- FrameAction QML Type
- Qt 5.15.11 Reference Documentation

# FrameAction QML Type

Provides a way to have a synchronous function executed each frame. More...

Import Statement: | import Qt3D.Logic 2.15
Since: | Qt 5.5
Instantiates: | QFrameAction
Inherits: | Component3D

- List of all members, including inherited members

## Signals

- triggered(real dt)

## Detailed Description

The FrameAction provides a way to perform tasks each frame in a synchronized way with the Qt3D backend. This is useful to implement some aspects of application logic and to prototype functionality that can later be folded into an additional Qt3D aspect.

For example, the FrameAction can be used to animate a property in sync with the Qt3D engine where a Qt Quick animation element is not perfectly synchronized and may lead to stutters in some cases.

To execute your own code each frame connect to the FrameAction::triggered signal.

## Signal Documentation

triggered(real dt)

This signal is emitted each frame with dt being the time (in seconds) since the last triggering.

Note: The corresponding handler is `onTriggered`.